> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt
> Use this file to discover all available pages before exploring further.

# List notifications

> Returns a cursor-paginated list of notifications for the authenticated user, newest first.



## OpenAPI

````yaml /openapi/shared.yaml get /api/v1/notifications/list
openapi: 3.0.3
info:
  title: Shared Service API
  version: 1.0.0
  description: |2-

        **Shared Service API** - Comprehensive shared service and management system.

        ## Versionings
        The API uses URL path versioning (e.g., `/api/v1/`, `/api/v2/`).
        Current version: **v1**
        
  contact:
    name: API Support
    email: thakacreations@gmail.com
  license:
    name: thakacreations
servers: []
security: []
paths:
  /api/v1/notifications/list:
    get:
      tags:
        - notifications
      summary: List notifications
      description: >-
        Returns a cursor-paginated list of notifications for the authenticated
        user, newest first.
      operationId: notifications_list
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
          description: Pagination cursor from a previous response's next/previous link.
        - in: query
          name: is_read
          schema:
            type: boolean
          description: Filter to only read (true) or unread (false) notifications.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationListResponse'
          description: ''
      security:
        - bearerAuth: []
components:
  schemas:
    NotificationListResponse:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/Notification'
      required:
        - next
        - previous
        - results
    Notification:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        recipient_id:
          type: string
          format: uuid
          readOnly: true
        actor_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        notification_type:
          type: string
          readOnly: true
        title:
          type: string
          readOnly: true
        body:
          type: string
          readOnly: true
        data:
          readOnly: true
        source_service:
          type: string
          readOnly: true
        entity_type:
          type: string
          readOnly: true
        entity_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        channels_dispatched:
          readOnly: true
        is_read:
          type: boolean
          readOnly: true
        read_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - actor_id
        - body
        - channels_dispatched
        - created_at
        - data
        - entity_id
        - entity_type
        - id
        - is_read
        - notification_type
        - read_at
        - recipient_id
        - source_service
        - title
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Enter your JWT token in the format: Bearer <token>'

````